
Foreman - Bug #1265

Parition tables can't access @host

10/26/2011 09:26 PM - Joshua Hoblitt

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Host creation   

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Adding this string a partition table:

BOOT_VG=bootvg.<%= @host %>

Outputs as

BOOT_VG=bootvg.

Changing @host -> @host.name causes a safe render error even if safe rendering is disabled.

Associated revisions

Revision 6546ad94 - 01/29/2012 09:11 AM - Ohad Levy

fixes #1265 - Parition tables can't access @host

History

#1 - 01/29/2012 08:12 AM - Ohad Levy

- Assignee set to Ohad Levy

- Target version set to 1.0

#2 - 01/29/2012 08:13 AM - Ohad Levy

@host.name would not work, as @host is not defined.

just <%= name %> would have worked, but anyway, the following fix would fix both issues regardless.

#3 - 01/29/2012 09:58 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 6546ad949288768bd63a4910d2a3bf222ac1e1d9.
